using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Shared.Database.Models;

[Table("ticket")]
public partial class Ticket
{
    [Key]
    [Column("transaction_type_id")]
    public int TransactionTypeId { get; set; }

    [Column("ticket_prefix", TypeName = "citext")]
    public string TicketPrefix { get; set; } = null!;

    [Column("ticket_number")]
    public int TicketNumber { get; set; }
}
